Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# EMaterialFlags.h File Reference

Go to the source code of this file.

## Namespaces
namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::video

| The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.
## Enumerations
enum | irr::video::E_MATERIAL_FLAG { irr::video::EMF_WIREFRAME = 0x1, irr::video::EMF_POINTCLOUD = 0x2, irr::video::EMF_GOURAUD_SHADING = 0x4, irr::video::EMF_LIGHTING = 0x8, irr::video::EMF_ZBUFFER = 0x10, irr::video::EMF_ZWRITE_ENABLE = 0x20, irr::video::EMF_BACK_FACE_CULLING = 0x40, irr::video::EMF_FRONT_FACE_CULLING = 0x80, irr::video::EMF_BILINEAR_FILTER = 0x100, irr::video::EMF_TRILINEAR_FILTER = 0x200, irr::video::EMF_ANISOTROPIC_FILTER = 0x400, irr::video::EMF_FOG_ENABLE = 0x800, irr::video::EMF_NORMALIZE_NORMALS = 0x1000, irr::video::EMF_TEXTURE_WRAP = 0x2000, irr::video::EMF_ANTI_ALIASING = 0x4000, irr::video::EMF_COLOR_MASK = 0x8000, irr::video::EMF_COLOR_MATERIAL = 0x10000 }
| Material flags. More...

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:41:58 2010 by Doxygen (1.6.2)